Latest News! LimoWiz 18.2.7 released Dec 5, 2018. LimoWiz is now TLS 1.2 compliant.

LimoWiz Requirements
  • Runs on any of the following: Windows Server 2012, Windows 7, Windows 8, Windows 10 and above.
  • Works on 32bit and 64bit Windows.
  • Windows Server 2012 or above to use LimoWiz network version if you have more than 5 users.
  • Runs under Windows Remote Desktop Services (Terminal Services). Requires LimoWiz network version.
  • MS Internet Explorer 11 or above.
  • 8 GB RAM is recommended. More is better, especially when multi-tasking with other programs .
  • Internet connection for using optional credit card software, checking flight status, Internet faxing.
  • Laser or Inkjet printer to print reports.
  • Microsoft Outlook or Outlook Express for sending Email. LimoWiz also has its own email engine for sending email.
  • Network version does not require a dedicated server but recommended. Same computer can be used to enter data. No mapping of network drive required. UNC path is fully supported.